> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/content/upload/wisej.web.uploadingeventargs.md).

# UploadingEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [Uploading](/api/wisej.web/content/upload.md#uploading) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class UploadingEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class UploadingEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) UploadingEventArgs(fileNames, fileSizes)

Initializes a new instance of the [UploadingEventArgs](/api/wisej.web/content/upload/wisej.web.uploadingeventargs.md) class with the specified collection of uploaded files.

| Name          | Type                                                              | Description                                                        |
| ------------- | ----------------------------------------------------------------- | ------------------------------------------------------------------ |
| **fileNames** | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string) | A string array containing the named of the files being uploaded.   |
| **fileSizes** | [Int64\[\]](https://docs.microsoft.com/dotnet/api/system.int64)   | An integer array containing the sizes of the files being uploaded. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) FileNames

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): Returns an array containing the names of the files being uploaded.

### ![](/files/hsR4ok3152WyAf8J2C1u) FileSizes

[Int64\[\]](https://docs.microsoft.com/dotnet/api/system.int64): Returns an array containing the sizes in bytes of the files being uploaded.

## Used By

| Name                                                                                      | Description                                                                                                                                                       |
| ----------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [UploadingEventHandler](/api/wisej.web/content/upload/wisej.web.uploadingeventhandler.md) | Represents the method that will handle the [Uploading](/api/wisej.web/content/upload.md#uploading) event of a [Upload](/api/wisej.web/content/upload.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/upload/wisej.web.uploadingeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
